%define version 4.0.2
%define release %mkrel 1
%define oname   kcoloredit-kde4

Name:		kde4-kcoloredit
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Url:		http://www.kde.org/
Group:		Graphical desktop/KDE
Source0:	%{oname}-beta5.tar.bz2
Summary:        Palette files editor
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  cmake >= 2.4.5
BuildRequires:  kdelibs4-devel


%description
KColorEdit is a palette files editor. 
It can be used for editing color palettes and for color 
choosing and naming.

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%{_kde_bindir}/kcoloredit
%{_kde_datadir}/applications/kde4/kcoloredit.desktop
%{_kde_appsdir}/kcoloredit/kcoloreditui.rc
%{_kde_iconsdir}/hicolor/*/apps/kcoloredit.png
%{_kde_datadir}/locale/*/LC_SCRIPTS/*/*

%doc %{_kde_docdir}/HTML/en/doc/index.cache.bz2
%doc %{_kde_docdir}/HTML/en/doc/index.docbook
%doc %{_kde_docdir}/HTML/en/doc/common

#------------------------------------------------

%prep
%setup -q -n %oname-beta5

%build
%cmake_kde4 
%make

%install
cd build
rm -rf %buildroot
%{makeinstall_std}


%clean
rm -rf %buildroot


%changelog
* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 4.0.2-1mdv2008.1
+ Revision: 182351
- New version 4.0.2

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.0-0.beta5.1mdv2008.1
+ Revision: 172038
- fix unlisted files
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import kde4-kcoloredit


